; AdvanceLcd
; Copyright  Christian Klaussner
; 
; Dual.bb

Include "advlcd.bb"

; Try to initialize the library.
If LcdInitialize() <> LCD_OK
	Print "Logitech software is not installed."
	End
End If

; Create the applet.
Global applet = LcdCreateApplet("Example - Dual", LCD_DEVICE_MONO Or LCD_DEVICE_COLOR, False, False)

; Load fonts for both device types.
Global font_mono = LcdLoadFont("Arial", 20, LCD_FONT_ITALIC, "")
Global font_color = LcdLoadFont("Arial", 50, LCD_FONT_BOLD Or LCD_FONT_UNDERLINE, "")

; Apply the fonts to their respective devices.
LcdSelectDevice applet, LCD_DEVICE_MONO
LcdSetFont applet, font_mono

LcdSelectDevice applet, LCD_DEVICE_COLOR
LcdSetFont applet, font_color

; Display text on both devices.
While True
	Local devices = LcdWaitActivation(applet)
	
	If devices = LCD_DEVICE_INVALID
		Print "The LCD Manager is no longer avaliable."
		End
	End If
			
	If devices And LCD_DEVICE_MONO
		LcdSelectDevice applet, LCD_DEVICE_MONO
		
		LcdClear applet, LCD_COLOR_INVISIBLE
		LcdDrawText applet, "Hello, Mono!", 1, 1
		
		LcdUpdate applet, False
	End If
			
	If devices And LCD_DEVICE_COLOR
		LcdSelectDevice applet, LCD_DEVICE_COLOR
		
		LcdClear applet, 0
		LcdDrawText applet, "Hello, Color!", 10, 10
		
		LcdUpdate applet, False
	End If
	
	Delay 20
Wend