' AdvanceLcd
' Copyright  Christian Klaussner
' 
' Dual.bmx

Strict

Framework brl.standardio
Import chris.advancelcd

' Try to initialize the library.
If LcdInitialize() <> LCD_OK
	Print "Logitech software is not installed."
	End
End If

' Create the applet.
Global applet:TLcdApplet = New TLcdApplet.Init("Example - Dual", LCD_DEVICE_MONO | LCD_DEVICE_COLOR, False, False)

' Load fonts for both device types.
Global font_mono:TLcdFont = New TLcdFont.Init("Arial", 20, LCD_FONT_ITALIC)
Global font_color:TLcdFont = New TLcdFont.Init("Arial", 50, LCD_FONT_BOLD | LCD_FONT_UNDERLINE)

' Apply the fonts to their respective devices.
applet.SelectDevice LCD_DEVICE_MONO
applet.SetFont font_mono

applet.SelectDevice LCD_DEVICE_COLOR
applet.SetFont font_color

' Display text on both devices.
While True
	Local devices = applet.WaitActivation()
	
	If devices = LCD_DEVICE_INVALID
		Print "The LCD Manager is no longer avaliable."
		End
	End If
			
	If devices & LCD_DEVICE_MONO
		applet.SelectDevice LCD_DEVICE_MONO
		
		applet.Clear LCD_COLOR_INVISIBLE
		applet.DrawText "Hello, Mono!", 1, 1
		
		applet.Update
	End If
			
	If devices & LCD_DEVICE_COLOR
		applet.SelectDevice LCD_DEVICE_COLOR
		
		applet.Clear 0
		applet.DrawText "Hello, Color!", 10, 10
		
		applet.Update
	End If
	
	Delay 20
Wend
