' AdvanceLcd
' Copyright  Christian Klaussner
' 
' Events.bmx
' 
' Important: This example requires 'Threaded Build' to run properly!

Strict

Framework brl.standardio
Import chris.advancelcd

' Define an event handler that will receive configuration and button events.
Function EventHandler(sender:TLcdApplet, event, data)
	Select event
		Case LCD_EVENT_CONFIGURE
			Print "The user wants to configure your applet."
			
		Case LCD_EVENT_BUTTON
			' You can retrieve the status of a button using the 'bitwise and' operator, 
			' because the buttons are represented as bitmask.
			If data & LCD_BUTTON_1 Print "The first button was pressed."
			If data & LCD_BUTTON_2
				Print "The second button was pressed. Good bye..."
				End
			End If
	End Select
End Function

' Try to initialize the library.
If LcdInitialize() <> LCD_OK
	Print "Logitech software is not installed."
	End
End If

' Create the applet.
Global applet:TLcdApplet = New TLcdApplet.Init("Example - Events", LCD_DEVICE_MONO, True, False)

' Use our function as the applet's event handler.
applet.SetEventHandler EventHandler

' Display an empty screen while the applet is running.
While True
	applet.WaitActivation
	
	applet.Update
	Delay 20
Wend
