﻿// AdvanceLcd
// Copyright © Christian Klaussner
// 
// Dual.cs

using System;
using System.Drawing;
using System.Threading;
using AdvanceLcd;

class Program
{
	static void Main(string[] args)
	{
		Lcd.Initialize();

		// Create the applet.
		LcdApplet applet = new LcdApplet("Example - Dual", LcdDevice.Mono | LcdDevice.Color, false, false);

		// Load fonts for both device types.
		LcdFont font_mono = new LcdFont("Arial", 20, LcdFontFlags.Italic, null);
		LcdFont font_color = new LcdFont("Arial", 50, LcdFontFlags.Bold | LcdFontFlags.Underline, null);

		// Apply the fonts to their respective devices.
		applet.SelectDevice(LcdDevice.Mono);
		applet.Font = font_mono;

		applet.SelectDevice(LcdDevice.Color);
		applet.Font = font_color;

		// Display text on both devices.
		while(true)
		{
			LcdDevice devices = applet.WaitActivation();

			if(devices == LcdDevice.Invalid)
			{
				Console.WriteLine("The LCD Manager is no longer avaliable.");
				Environment.Exit(0);
			}

			if((devices & LcdDevice.Mono) == LcdDevice.Mono)
			{
				applet.SelectDevice(LcdDevice.Mono);

				applet.Clear(Color.Black);
				applet.DrawText("Hello, Mono!", 1, 1);

				applet.Update();
			}

			if((devices & LcdDevice.Color) == LcdDevice.Color)
			{
				applet.SelectDevice(LcdDevice.Color);

				applet.Clear(Color.Black);
				applet.DrawText("Hello, Color!", 10, 10);

				applet.Update();
			}

			Thread.Sleep(20);
		}
	}
}
