﻿// AdvanceLcd
// Copyright © Christian Klaussner
// 
// Events.cs

using System;
using System.Threading;
using AdvanceLcd;

class Program
{
	// Define an event handler that will receive configuration and button events.
	static void EventHandler(LcdApplet sender, LcdEvent ev, int data)
	{
		switch(ev)
		{
			case LcdEvent.Configure:
				Console.WriteLine("The user wants to configure your applet.");
				break;

			case LcdEvent.Button:
				// You can retrieve the status of a button using the 'bitwise and' operator, 
				// because the buttons are represented as bitmask.
				if(((LcdButton)data & LcdButton.Button1) == LcdButton.Button1) Console.WriteLine("The first button was pressed.");
				if(((LcdButton)data & LcdButton.Button2) == LcdButton.Button2)
				{
					Console.WriteLine("The second button was pressed. Good bye...");
					Environment.Exit(0);
				}
				break;
		}
	}

	static void Main(string[] args)
	{
		Lcd.Initialize();

		// Create the applet.
		LcdApplet applet = new LcdApplet("Example - Events", LcdDevice.Mono, true, false);
		applet.EventHandler = EventHandler;

		// Display an empty screen while the applet is running.
		while(true)
		{
			applet.WaitActivation();

			applet.Update();
			Thread.Sleep(20);
		}
	}
}
