﻿// AdvanceLcd
// Copyright © Christian Klaussner
// 
// Pixmaps.cs

using System;
using System.Drawing;
using System.Threading;
using AdvanceLcd;

class Program
{
	static void Main(string[] args)
	{
		Lcd.Initialize();

		// Create the applet.
		LcdApplet applet = new LcdApplet("Example - Pixmaps", LcdDevice.Color, false, false);

		// Load two fonts.
		LcdPixmap pixmap = new LcdPixmap("..\\Media\\devil.png");
		LcdPixmap target = new LcdPixmap(320, 240, LcdDevice.Color);

		// Select the new pixmap as target and draw the loaded pixmap.
		applet.Target = target;

		applet.Clear(Color.FromArgb(0xDEDEDE));
		applet.DrawPixmap(pixmap, 160-pixmap.Width/2, 120-pixmap.Height/2);

		// Display the render target pixmap.
		uint x = 0;

		while(true)
		{
			applet.WaitActivation();

			x++;
			
			applet.Target = null;
			applet.Clear(Color.Black);
			applet.DrawPixmap(target, (int)(Math.Sin(x*Math.PI/180)*50), (int)(Math.Cos(x*Math.PI/180)*50));

			applet.Update();
			Thread.Sleep(20);
		}
	}
}
