﻿// AdvanceLcd
// Copyright © Christian Klaussner
// 
// Shapes.cs

using System;
using System.Drawing;
using System.Threading;
using AdvanceLcd;

class Program
{
	static void Main(string[] args)
	{
		Lcd.Initialize();

		// Create the applet.
		LcdApplet applet = new LcdApplet("Example - Shapes", LcdDevice.Color, false, false);

		// Display shapes using rotation and anti-aliasing.
		DateTime time = DateTime.Now;
		bool enable = false;

		while(true)
		{
			applet.WaitActivation();

			applet.Clear(Color.FromArgb(0xDEDEDE));

			// Change anti-aliasing mode every second.
			if(time.AddMilliseconds(1000) < DateTime.Now)
			{
				time = DateTime.Now;
				enable = !enable;
			}

			applet.AntiAlias = enable;

			// Draw a rotated rectangle.
			applet.SetRotation(30, 80, 60);
			applet.Color = Color.Red;
			applet.DrawRect(new Point(80, 60), new Size(120, 100), true);

			// Draw the outline of a circle.
			applet.SetRotation(0, 0, 0);
			applet.Color = Color.Blue;
			applet.LineWidth = 9;
			applet.DrawOval(new Point(200, 30), new Size(80, 80), false);

			// Draw a line.
			applet.Color = Color.Lime;
			applet.DrawLine(new Point(20, 220), new Point(300, 20));

			applet.Update();
			Thread.Sleep(20);
		}
	}
}
