// AdvanceLcd
// Copyright  Christian Klaussner
// 
// Dual.c

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "advlcd.h"

int entry()
{
	LCDAPPLET pApplet;
	LCDFONT pFontMono, pFontColor;

	// Try to initialize the library.
	if(LcdInitialize() != LCD_OK)
	{
		printf("Logitech software is not installed.\n");
		exit(0);
	}

	// Create the applet.
	pApplet = LcdCreateApplet(L"Example - Dual", LCD_DEVICE_MONO | LCD_DEVICE_COLOR, 0, 0);
	if(!pApplet)
	{
		printf("Unable to create applet.\n");
		exit(0);
	}

	// Load fonts for both device types.
	pFontMono = LcdLoadFont(L"Arial", 20, LCD_FONT_ITALIC, 0);
	pFontColor = LcdLoadFont(L"Arial", 50, LCD_FONT_BOLD | LCD_FONT_UNDERLINE, 0);
	if(!pFontMono || !pFontColor)
	{
		printf("Unable to load font.\n");
		exit(0);
	}

	// Apply the fonts to their respective devices.
	LcdSelectDevice(pApplet, LCD_DEVICE_MONO);
	LcdSetFont(pApplet, pFontMono);

	LcdSelectDevice(pApplet, LCD_DEVICE_COLOR);
	LcdSetFont(pApplet, pFontColor);

	// Display text on both devices.
	while(1)
	{
		int nDevices = LcdWaitActivation(pApplet);

		if(nDevices == LCD_DEVICE_INVALID)
		{
			printf("The LCD Manager is no longer avaliable.\n");
			exit(0);
		}

		if(nDevices & LCD_DEVICE_MONO)
		{
			LcdSelectDevice(pApplet, LCD_DEVICE_MONO);

			LcdClear(pApplet, 0);
			LcdDrawText(pApplet, L"Hello, Mono!", 1, 1);

			LcdUpdate(pApplet, 0);
		}

		if(nDevices & LCD_DEVICE_COLOR)
		{
			LcdSelectDevice(pApplet, LCD_DEVICE_COLOR);

			LcdClear(pApplet, 0);
			LcdDrawText(pApplet, L"Hello, Color!", 10, 10);

			LcdUpdate(pApplet, 0);
		}

		Sleep(20);
	}

	return 0;
}
