// AdvanceLcd
// Copyright  Christian Klaussner
// 
// Events.c

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "advlcd.h"

// Define an event handler that will receive configuration and button events.
int LCDCALL EventHandler(int nEvent, void *pContext, int nData)
{
	switch(nEvent)
	{
		case LCD_EVENT_CONFIGURE:
			printf("The user wants to configure your applet.\n");
			break;

		case LCD_EVENT_BUTTON:
			// You can retrieve the status of a button using the 'bitwise and' operator, 
			// because the buttons are represented as bitmask.
			if(nData & LCD_BUTTON_1) printf("The first button was pressed.\n");
			if(nData & LCD_BUTTON_2)
			{
				printf("The second button was pressed. Good bye...\n");
				exit(0);
			}
			break;
	}
	return 0;
}

int entry()
{
	LCDAPPLET pApplet;

	// Try to initialize the library.
	if(LcdInitialize() != LCD_OK)
	{
		printf("Logitech software is not installed.\n");
		exit(0);
	}

	// Create the applet.
	pApplet = LcdCreateApplet(L"Example - Events", LCD_DEVICE_MONO | LCD_DEVICE_COLOR, 1, 0);
	if(!pApplet)
	{
		printf("Unable to create applet.\n");
		exit(0);
	}

	LcdSetEventHandler(pApplet, EventHandler, 0);

	// Display an empty screen while the applet is running.
	while(1)
	{
		LcdWaitActivation(pApplet);

		LcdUpdate(pApplet, 0);
		Sleep(20);
	}

	return 0;
}
