// AdvanceLcd
// Copyright  Christian Klaussner
// 
// Fonts.c

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "advlcd.h"

int entry()
{
	LCDAPPLET pApplet;
	LCDFONT pFont1, pFont2;

	// Try to initialize the library.
	if(LcdInitialize() != LCD_OK)
	{
		printf("Logitech software is not installed.\n");
		exit(0);
	}

	// Create the applet.
	pApplet = LcdCreateApplet(L"Example - Fonts", LCD_DEVICE_COLOR, 0, 0);
	if(!pApplet)
	{
		printf("Unable to create applet.\n");
		exit(0);
	}

	// Load two fonts.
	pFont1 = LcdLoadFont(L"Arial", 60, LCD_FONT_BOLD | LCD_FONT_UNDERLINE, 0);
	pFont2 = LcdLoadFont(L"Kaileen", 60, LCD_FONT_DEFAULT, L"..\\Media\\kaileen.ttf");
	if(!pFont1 || !pFont2)
	{
		printf("Unable to load font.\n");
		exit(0);
	}

	// Display text using both font objects.
	while(1)
	{
		LcdWaitActivation(pApplet);

		LcdClear(pApplet, 0xDEDEDE);
		LcdSetColor(pApplet, 0);

		LcdSetFont(pApplet, pFont1);
		LcdDrawText(pApplet, L"Arial", 40, 20);

		LcdSetFont(pApplet, pFont2);
		LcdDrawText(pApplet, L"Kaileen", 40, 100);

		LcdUpdate(pApplet, 0);
		Sleep(20);
	}

	return 0;
}
