// AdvanceLcd
// Copyright  Christian Klaussner
// 
// Pixmaps.c

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "advlcd.h"

int entry()
{
	LCDAPPLET pApplet;
	LCDPIXMAP pPixmap, pTarget;

	// Try to initialize the library.
	if(LcdInitialize() != LCD_OK)
	{
		printf("Logitech software is not installed.\n");
		exit(0);
	}

	// Create the applet.
	pApplet = LcdCreateApplet(L"Example - Pixmaps", LCD_DEVICE_COLOR, 0, 0);
	if(!pApplet)
	{
		printf("Unable to create applet.\n");
		exit(0);
	}

	// Load a pixmap and create a render target.
	pPixmap = LcdLoadPixmap(L"..\\Media\\devil.png");
	pTarget = LcdCreatePixmap(320, 240, LCD_DEVICE_COLOR);
	if(!pPixmap || !pTarget)
	{
		printf("Unable to load or create pixmap.\n");
		exit(0);
	}

	// Select the new pixmap as target and draw the loaded pixmap.
	LcdSetTarget(pApplet, pTarget);

	LcdClear(pApplet, 0xDEDEDE);
	LcdDrawPixmap(pApplet, pPixmap, 160-LcdPixmapWidth(pPixmap)/2, 120-LcdPixmapHeight(pPixmap)/2, 0);

	// Display the render target pixmap.
	while(1)
	{
		LcdWaitActivation(pApplet);

		LcdSetTarget(pApplet, 0);
		LcdClear(pApplet, 0);
		LcdDrawPixmap(pApplet, pTarget, 50, 25, 0);

		LcdUpdate(pApplet, 0);
		Sleep(20);
	}

	return 0;
}
