// AdvanceLcd
// Copyright  Christian Klaussner
// 
// Shapes.c

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "advlcd.h"

int entry()
{
	LCDAPPLET pApplet;
	int nTimer = clock(), bEnable = 0;

	// Try to initialize the library.
	if(LcdInitialize() != LCD_OK)
	{
		printf("Logitech software is not installed.\n");
		exit(0);
	}

	// Create the applet.
	pApplet = LcdCreateApplet(L"Example - Shapes", LCD_DEVICE_COLOR, 0, 0);
	if(!pApplet)
	{
		printf("Unable to create applet.\n");
		exit(0);
	}

	// Display shapes using rotation and anti-aliasing.
	while(1)
	{
		LcdWaitActivation(pApplet);

		LcdClear(pApplet, 0xDEDEDE);

		// Change anti-aliasing mode every second.
		if(nTimer + CLOCKS_PER_SEC < clock())
		{
			nTimer = clock();
			bEnable = !bEnable;
		}

		LcdEnableAntiAlias(pApplet, bEnable);

		// Draw a rotated rectangle.
		LcdSetRotation(pApplet, 30, 80, 60);
		LcdSetColor(pApplet, 0xFF0000);
		LcdDrawRect(pApplet, 80, 60, 120, 100, 1);
		
		// Draw the outline of a circle.
		LcdSetRotation(pApplet, 0, 0, 0);
		LcdSetColor(pApplet, 0x0000FF);
		LcdSetLineWidth(pApplet, 9);
		LcdDrawOval(pApplet, 200, 30, 80, 80, 0);
		
		// Draw a line.
		LcdSetColor(pApplet, 0x00FF00);
		LcdDrawLine(pApplet, 20, 220, 300, 20);

		LcdUpdate(pApplet, 0);
		Sleep(20);
	}

	return 0;
}
