' AdvanceLcd
' Copyright  Christian Klaussner
' 
' native.bmx

Extern "Win32"
	Rem
	bbdoc: Initializes the library.
	returns: LCD_OK if initialization was successful, otherwise LCD_ERROR.
	about: You need to call this function before creating an applet, pixmap or font. If this function does not 
	succeed you should assume that the Logitech software is not installed and therefore disable all LCD-related 
	functionality.
	End Rem
	Function LcdInitialize:Int()
	
	Rem
	bbdoc: Deinitializes the library.
	about: Calling this function while applets, pixmaps or fonts are still in use may result in undefined behaviour. 
	You should therefore delete all objects with their respective @Dispose methods.
	End Rem
	Function LcdDeInitialize:Int()
	
	Function LcdLastError:Int()
	Function LcdCreateApplet:Byte Ptr(name$w, devices:Int, configurable:Int, autostart:Int) = "LcdCreateAppletW@16"
	Function LcdDeleteApplet:Int(applet:Byte Ptr)
	Function LcdAppletEnabled:Int(applet:Byte Ptr)
	Function LcdAppletOpened:Int(applet:Byte Ptr)
	Function LcdAppletActive:Int(applet:Byte Ptr)
	Function LcdWaitActivation:Int(applet:Byte Ptr)
	Function LcdSelectDevice:Int(applet:Byte Ptr, device:Int)
	Function LcdSetEventHandler:Int(applet:Byte Ptr, eventhandler:Int(event:Int, context:Object, data:Int), context:Object)
	Function LcdButtonState:Int(applet:Byte Ptr, key:Int)
	Function LcdConfigState:Int(applet:Byte Ptr)
	Function LcdSetPriority:Int(applet:Byte Ptr, priority:Int, foreground:Int)
	Function LcdUpdate:Int(applet:Byte Ptr, sync:Int)
	Function LcdCreatePixmap:Byte Ptr(width:Int, height:Int, device:Int)
	Function LcdLoadPixmap:Byte Ptr(file$w) = "LcdLoadPixmapW@4"
	Function LcdLoadAnimPixmap:Byte Ptr(file$w, framewidth:Int, frameheight:Int, frames:Int) = "LcdLoadAnimPixmapW@16"
	Function LcdDeletePixmap:Int(applet:Byte Ptr)
	Function LcdPixmapWidth:Int(pixmap:Byte Ptr)
	Function LcdPixmapHeight:Int(pixmap:Byte Ptr)
	Function LcdDrawPixmap:Int(applet:Byte Ptr, pixmap:Byte Ptr, x:Int, y:Int, frame:Int)
	Function LcdDrawPixmapRect:Int(applet:Byte Ptr, pixmap:Byte Ptr, x:Int, y:Int, sx:Int, sy:Int, width:Int, height:Int, frames:Int)
	Function LcdSetTarget:Int(applet:Byte Ptr, pixmap:Byte Ptr)
	Function LcdEnableAntiAlias:Int(applet:Byte Ptr, enable:Int)
	Function LcdClear:Int(applet:Byte Ptr, color:Int)
	Function LcdSetColor:Int(applet:Byte Ptr, color:Int)
	Function LcdSetLineWidth:Int(applet:Byte Ptr, width:Float)
	Function LcdSetRotation:Int(applet:Byte Ptr, rotation:Float, x:Int, y:Int)
	Function LcdDrawLine:Int(applet:Byte Ptr, x1:Int, y1:Int, x2:Int, y2:Int)
	Function LcdDrawRect:Int(applet:Byte Ptr, x:Int, y:Int, width:Int, height:Int, fill:Int)
	Function LcdDrawOval:Int(applet:Byte Ptr, x:Int, y:Int, width:Int, height:Int, fill:Int)
	Function LcdLoadFont:Byte Ptr(family$w, height:Int, flags:Int, file$w) = "LcdLoadFontW@16"
	Function LcdDeleteFont:Int(font:Byte Ptr)
	Function LcdSetFont:Int(applet:Byte Ptr, font:Byte Ptr)
	Function LcdDrawText:Int(applet:Byte Ptr, text$w, x:Int, y:Int) = "LcdDrawTextW@16"
	Function LcdStringWidth:Int(applet:Byte Ptr, text$w) = "LcdStringWidthW@8"
	Function LcdStringHeight:Int(applet:Byte Ptr, text$w) = "LcdStringHeightW@8"
	Function LcdListOut()
End Extern
